Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.protocol.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.consultrn._1_0.protocol package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn._1_0.protocol

Method Summary
`ConsultRnReplyType` | `createConsultRnReplyType()` Create an instance of `ConsultRnReplyType`
`ConsultRnRequestType` | `createConsultRnRequestType()` Create an instance of `ConsultRnRequestType`
`CreatePersonReply` | `createCreatePersonReply()` Create an instance of `CreatePersonReply`
`CreatePersonRequest` | `createCreatePersonRequest()` Create an instance of `CreatePersonRequest`
`DeleteInscriptionReply` | `createDeleteInscriptionReply()` Create an instance of `DeleteInscriptionReply`
`DeleteInscriptionRequest` | `createDeleteInscriptionRequest()` Create an instance of `DeleteInscriptionRequest`
`FamilyCompositionReply` | `createFamilyCompositionReply()` Create an instance of `FamilyCompositionReply`
`FamilyCompositionRequest` | `createFamilyCompositionRequest()` Create an instance of `FamilyCompositionRequest`
`HeaderType` | `createHeaderType()` Create an instance of `HeaderType`
`InsertInscriptionReply` | `createInsertInscriptionReply()` Create an instance of `InsertInscriptionReply`
`InsertInscriptionRequest` | `createInsertInscriptionRequest()` Create an instance of `InsertInscriptionRequest`
`ModifyPersonReply` | `createModifyPersonReply()` Create an instance of `ModifyPersonReply`
`ModifyPersonRequest` | `createModifyPersonRequest()` Create an instance of `ModifyPersonRequest`
`MonitoringReply` | `createMonitoringReply()` Create an instance of `MonitoringReply`
`MonitoringRequest` | `createMonitoringRequest()` Create an instance of `MonitoringRequest`
`Mutation` | `createMutation()` Create an instance of `Mutation`
`MutationInformationType` | `createMutationInformationType()` Create an instance of `MutationInformationType`
`MutationList` | `createMutationList()` Create an instance of `MutationList`
`MutationReply` | `createMutationReply()` Create an instance of `MutationReply`
`MutationRequest` | `createMutationRequest()` Create an instance of `MutationRequest`
`PersonCreatedType` | `createPersonCreatedType()` Create an instance of `PersonCreatedType`
`PersonHistoryAddressReply` | `createPersonHistoryAddressReply()` Create an instance of `PersonHistoryAddressReply`
`PersonHistoryAddressRequest` | `createPersonHistoryAddressRequest()` Create an instance of `PersonHistoryAddressRequest`
`PersonHistoryBirthReply` | `createPersonHistoryBirthReply()` Create an instance of `PersonHistoryBirthReply`
`PersonHistoryBirthRequest` | `createPersonHistoryBirthRequest()` Create an instance of `PersonHistoryBirthRequest`
`PersonHistoryCivilStateReply` | `createPersonHistoryCivilStateReply()` Create an instance of `PersonHistoryCivilStateReply`
`PersonHistoryCivilStateRequest` | `createPersonHistoryCivilStateRequest()` Create an instance of `PersonHistoryCivilStateRequest`
`PersonHistoryDeceaseReply` | `createPersonHistoryDeceaseReply()` Create an instance of `PersonHistoryDeceaseReply`
`PersonHistoryDeceaseRequest` | `createPersonHistoryDeceaseRequest()` Create an instance of `PersonHistoryDeceaseRequest`
`PersonHistoryFamilyCompositionReply` | `createPersonHistoryFamilyCompositionReply()` Create an instance of `PersonHistoryFamilyCompositionReply`
`PersonHistoryFamilyCompositionRequest` | `createPersonHistoryFamilyCompositionRequest()` Create an instance of `PersonHistoryFamilyCompositionRequest`
`PersonHistoryGenderReply` | `createPersonHistoryGenderReply()` Create an instance of `PersonHistoryGenderReply`
`PersonHistoryGenderRequest` | `createPersonHistoryGenderRequest()` Create an instance of `PersonHistoryGenderRequest`
`PersonHistoryNameReply` | `createPersonHistoryNameReply()` Create an instance of `PersonHistoryNameReply`
`PersonHistoryNameRequest` | `createPersonHistoryNameRequest()` Create an instance of `PersonHistoryNameRequest`
`PersonHistoryNationalityReply` | `createPersonHistoryNationalityReply()` Create an instance of `PersonHistoryNationalityReply`
`PersonHistoryNationalityRequest` | `createPersonHistoryNationalityRequest()` Create an instance of `PersonHistoryNationalityRequest`
`PersonHistoryRequest` | `createPersonHistoryRequest()` Create an instance of `PersonHistoryRequest`
`PhoneticCriteriaType` | `createPhoneticCriteriaType()` Create an instance of `PhoneticCriteriaType`
`PhoneticResultType` | `createPhoneticResultType()` Create an instance of `PhoneticResultType`
`SearchBySSINReply` | `createSearchBySSINReply()` Create an instance of `SearchBySSINReply`
`SearchBySSINRequest` | `createSearchBySSINRequest()` Create an instance of `SearchBySSINRequest`
`SearchPhoneticReply` | `createSearchPhoneticReply()` Create an instance of `SearchPhoneticReply`
`SearchPhoneticRequest` | `createSearchPhoneticRequest()` Create an instance of `SearchPhoneticRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn._1_0.protocol

Method Detail

### createInsertInscriptionRequest

    public InsertInscriptionRequest createInsertInscriptionRequest()

  Create an instance of `InsertInscriptionRequest`

### createConsultRnRequestType

    public ConsultRnRequestType createConsultRnRequestType()

  Create an instance of `ConsultRnRequestType`

### createInsertInscriptionReply

    public InsertInscriptionReply createInsertInscriptionReply()

  Create an instance of `InsertInscriptionReply`

### createConsultRnReplyType

    public ConsultRnReplyType createConsultRnReplyType()

  Create an instance of `ConsultRnReplyType`

### createDeleteInscriptionRequest

    public DeleteInscriptionRequest createDeleteInscriptionRequest()

  Create an instance of `DeleteInscriptionRequest`

### createDeleteInscriptionReply

    public DeleteInscriptionReply createDeleteInscriptionReply()

  Create an instance of `DeleteInscriptionReply`

### createFamilyCompositionRequest

    public FamilyCompositionRequest createFamilyCompositionRequest()

  Create an instance of `FamilyCompositionRequest`

### createFamilyCompositionReply

    public FamilyCompositionReply createFamilyCompositionReply()

  Create an instance of `FamilyCompositionReply`

### createSearchBySSINRequest

    public SearchBySSINRequest createSearchBySSINRequest()

  Create an instance of `SearchBySSINRequest`

### createSearchBySSINReply

    public SearchBySSINReply createSearchBySSINReply()

  Create an instance of `SearchBySSINReply`

### createCreatePersonRequest

    public CreatePersonRequest createCreatePersonRequest()

  Create an instance of `CreatePersonRequest`

### createCreatePersonReply

    public CreatePersonReply createCreatePersonReply()

  Create an instance of `CreatePersonReply`

### createPersonCreatedType

    public PersonCreatedType createPersonCreatedType()

  Create an instance of `PersonCreatedType`

### createPhoneticResultType

    public PhoneticResultType createPhoneticResultType()

  Create an instance of `PhoneticResultType`

### createModifyPersonRequest

    public ModifyPersonRequest createModifyPersonRequest()

  Create an instance of `ModifyPersonRequest`

### createModifyPersonReply

    public ModifyPersonReply createModifyPersonReply()

  Create an instance of `ModifyPersonReply`

### createMonitoringRequest

    public MonitoringRequest createMonitoringRequest()

  Create an instance of `MonitoringRequest`

### createMonitoringReply

    public MonitoringReply createMonitoringReply()

  Create an instance of `MonitoringReply`

### createPersonHistoryNameRequest

    public PersonHistoryNameRequest createPersonHistoryNameRequest()

  Create an instance of `PersonHistoryNameRequest`

### createPersonHistoryRequest

    public PersonHistoryRequest createPersonHistoryRequest()

  Create an instance of `PersonHistoryRequest`

### createPersonHistoryGenderRequest

    public PersonHistoryGenderRequest createPersonHistoryGenderRequest()

  Create an instance of `PersonHistoryGenderRequest`

### createPersonHistoryBirthRequest

    public PersonHistoryBirthRequest createPersonHistoryBirthRequest()

  Create an instance of `PersonHistoryBirthRequest`

### createPersonHistoryCivilStateRequest

    public PersonHistoryCivilStateRequest createPersonHistoryCivilStateRequest()

  Create an instance of `PersonHistoryCivilStateRequest`

### createPersonHistoryDeceaseRequest

    public PersonHistoryDeceaseRequest createPersonHistoryDeceaseRequest()

  Create an instance of `PersonHistoryDeceaseRequest`

### createPersonHistoryAddressRequest

    public PersonHistoryAddressRequest createPersonHistoryAddressRequest()

  Create an instance of `PersonHistoryAddressRequest`

### createPersonHistoryNationalityRequest

    public PersonHistoryNationalityRequest createPersonHistoryNationalityRequest()

  Create an instance of `PersonHistoryNationalityRequest`

### createPersonHistoryFamilyCompositionRequest

    public PersonHistoryFamilyCompositionRequest createPersonHistoryFamilyCompositionRequest()

  Create an instance of `PersonHistoryFamilyCompositionRequest`

### createPersonHistoryNameReply

    public PersonHistoryNameReply createPersonHistoryNameReply()

  Create an instance of `PersonHistoryNameReply`

### createPersonHistoryGenderReply

    public PersonHistoryGenderReply createPersonHistoryGenderReply()

  Create an instance of `PersonHistoryGenderReply`

### createPersonHistoryBirthReply

    public PersonHistoryBirthReply createPersonHistoryBirthReply()

  Create an instance of `PersonHistoryBirthReply`

### createPersonHistoryCivilStateReply

    public PersonHistoryCivilStateReply createPersonHistoryCivilStateReply()

  Create an instance of `PersonHistoryCivilStateReply`

### createPersonHistoryDeceaseReply

    public PersonHistoryDeceaseReply createPersonHistoryDeceaseReply()

  Create an instance of `PersonHistoryDeceaseReply`

### createPersonHistoryAddressReply

    public PersonHistoryAddressReply createPersonHistoryAddressReply()

  Create an instance of `PersonHistoryAddressReply`

### createPersonHistoryNationalityReply

    public PersonHistoryNationalityReply createPersonHistoryNationalityReply()

  Create an instance of `PersonHistoryNationalityReply`

### createPersonHistoryFamilyCompositionReply

    public PersonHistoryFamilyCompositionReply createPersonHistoryFamilyCompositionReply()

  Create an instance of `PersonHistoryFamilyCompositionReply`

### createSearchPhoneticRequest

    public SearchPhoneticRequest createSearchPhoneticRequest()

  Create an instance of `SearchPhoneticRequest`

### createPhoneticCriteriaType

    public PhoneticCriteriaType createPhoneticCriteriaType()

  Create an instance of `PhoneticCriteriaType`

### createSearchPhoneticReply

    public SearchPhoneticReply createSearchPhoneticReply()

  Create an instance of `SearchPhoneticReply`

### createMutationRequest

    public MutationRequest createMutationRequest()

  Create an instance of `MutationRequest`

### createMutationReply

    public MutationReply createMutationReply()

  Create an instance of `MutationReply`

### createHeaderType

    public HeaderType createHeaderType()

  Create an instance of `HeaderType`

### createMutationList

    public MutationList createMutationList()

  Create an instance of `MutationList`

### createMutation

    public Mutation createMutation()

  Create an instance of `Mutation`

### createMutationInformationType

    public MutationInformationType createMutationInformationType()

  Create an instance of `MutationInformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.